summaryrefslogtreecommitdiffstats
path: root/debian/wheezy/dependencies/tqt3/debian/tqt3-dev-tools.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/wheezy/dependencies/tqt3/debian/tqt3-dev-tools.postinst')
-rw-r--r--debian/wheezy/dependencies/tqt3/debian/tqt3-dev-tools.postinst28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/wheezy/dependencies/tqt3/debian/tqt3-dev-tools.postinst b/debian/wheezy/dependencies/tqt3/debian/tqt3-dev-tools.postinst
new file mode 100644
index 000000000..b6c833de8
--- /dev/null
+++ b/debian/wheezy/dependencies/tqt3/debian/tqt3-dev-tools.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+update-alternatives --install \
+ /usr/bin/moc moc "/usr/bin/tqmoc" "45" \
+ --slave /usr/share/man/man1/moc.1.gz moc.1.gz \
+ "/usr/share/man/man1/moc-tqt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/uic uic "/usr/bin/tquic" "45" \
+ --slave /usr/share/man/man1/uic.1.gz uic.1.gz \
+ "/usr/share/man/man1/uic-tqt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/lupdate lupdate "/usr/bin/tqlupdate" "45" \
+ --slave /usr/share/man/man1/lupdate.1.gz lupdate.1.gz \
+ "/usr/share/man/man1/lupdate-tqt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/lrelease lrelease "/usr/bin/tqlrelease" "45" \
+ --slave /usr/share/man/man1/lrelease.1.gz lrelease.1.gz \
+ "/usr/share/man/man1/lrelease-tqt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/qmake qmake "/usr/bin/tqmake" "45" \
+
+#DEBHELPER#